Last Comment Bug 742797 - B2G Wifi: Fix wifi shutdown (and restart) on ICS
: B2G Wifi: Fix wifi shutdown (and restart) on ICS
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- normal (vote)
: ---
Assigned To: Blake Kaplan (:mrbkap)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: b2g-wifi 740719
  Show dependency treegraph
 
Reported: 2012-04-05 10:44 PDT by Blake Kaplan (:mrbkap)
Modified: 2012-04-09 00:24 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed fix (2.85 KB, patch)
2012-04-05 10:49 PDT, Blake Kaplan (:mrbkap)
cjones.bugs: review+
Details | Diff | Splinter Review

Description Blake Kaplan (:mrbkap) 2012-04-05 10:44:09 PDT
There are a couple of bugs making us unable to restart wifi. This is the most important one. I'll file another bug tomorrow on the remaining stuff.
Comment 1 Blake Kaplan (:mrbkap) 2012-04-05 10:49:46 PDT
Created attachment 612610 [details] [diff] [review]
Proposed fix

This patch does the following:
- Sending TERMINATE terminates the supplicant gracefully.
- Calling closeSupplicantConnection would have fixed this bug alone, but in general it resets wifi.c's internal socket state and prevents us from reusing the old sockets when we restart.
- closeSupplicantConnection returns void, not int, so we shouldn't try to get a return value from it.
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-04-05 17:13:07 PDT
Does this fix bug 740719?
Comment 3 Blake Kaplan (:mrbkap) 2012-04-06 06:40:34 PDT
As far as I can tell, it doesn't. However it does allow the wifi component to shut down (which is a bug fix that would affect that bug). Note that I've locally removed the error checking on this path. Each function call tries harder to kill the supplicant, so a failure to kill it in one function shouldn't stop us from continuing.
Comment 4 Blake Kaplan (:mrbkap) 2012-04-09 00:24:30 PDT
http://hg.mozilla.org/mozilla-central/rev/d25c5f07be7d

Note You need to log in before you can comment on or make changes to this bug.